

<style>

.alerts-dropdown {
    display: none;  /* Hidden by default */
    position: absolute;
    top: 100%;
    left: 0;
    width: 250px;
    background: #fff;
    border: 1px solid #ccc;
    max-height: 300px;
    overflow-y: auto;
    z-index: 100;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.alerts-dropdown.show {
    display: block; /* Show when 'show' class is added */
}

.badge {
    background-color: red;
    color: white;
    font-size: 14px;
    padding: 2px 6px;
    border-radius: 50%;
    position: absolute;
    top: -5px;
    right: -5px;
}

.alert {
    padding: 10px;
    border-bottom: 1px solid #ddd;
}

.alert-info {
    display: flex;
    align-items: center;
}

.alert-info img {
    width: 30px;
    height: 30px;
    margin-right: 10px;
    border-radius: 50%;
}

.dismiss-btn {
    background: none;
    border: none;
    color: #888;
    font-size: 18px;
    cursor: pointer;
}


.item-wrapper{
        z-index: 0!important; /*let alerts over the gird*/
      }




    .notification-container {
        position: fixed;
        z-index: 10;
        right: 16pc;
    }

    .bell-icon {
        font-size: 24px;
        cursor: pointer;
        position: relative;
        animation: pulse 2s infinite ease-in-out;
    }

    .bell-icon .fa {
        color: <?= $menuBgColor ?>;
    }

    .bell-icon .badge {
        position: absolute;
        background: red;
        color: white;
        font-size: 9px;
        padding: 3px 6px;
        border-radius: 50%;
        left: 16px;
        top: 10px;
        animation: bounce 1.5s infinite ease-in-out;
    }

    .alerts-dropdown {
        position: absolute;
        z-index: 9999;
        top: 35px;
        right: 0;
        width: 300px;
        background: white;
        border-radius: 8px;
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
        display: none;
        flex-direction: column;
    }

    .alert {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 10px;
        border-bottom: 1px solid #ddd;
        font-size: 14px;
    }

    .alert:last-child {
        border-bottom: none;
    }

    .alert .status {
        width: 8px;
        height: 8px;
        border-radius: 50%;
        background: green;
        margin-right: 10px;
    }

    .alert.offline .status {
        background: red;
    }

    .alert.succes .status {
        background: orange;
    }

    .alert-info {
        display: flex;
        align-items: center;
    }

    .dismiss-btn {
        background: none;
        border: none;
        color: red;
        font-size: 16px;
        cursor: pointer;
    }

    .show {
        display: flex;
    }

    /* 🔥 Pulse Animation for the Bell */
    @keyframes pulse {
        0% {
            transform: scale(1);
        }
        50% {
            transform: scale(1.1);
        }
        100% {
            transform: scale(1);
        }
    }

    /* 🔥 Bounce Animation for the Badge */
    @keyframes bounce {
        0%, 100% {
            transform: translateY(0);
        }
        50% {
            transform: translateY(-3px);
        }
    }
    @media (max-width: 768px) {
    .notification-container {
        right: 1pc;
    }
}


.alert-info {
        display: flex;
        align-items: center;
        gap: 10px;
    }

    .alert-info img {
        width: 30px;
        height: 30px;
        border-radius: 50%;
        object-fit: cover;
        box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
    }

</style>

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">


<div class="notification-container">
    <div class="bell-icon" onclick="toggleAlerts()">
        <i class="fa fa-bell"></i>
        <span class="badge" id="alertBadge" style="display: none;">0</span>
    </div> 

    <div class="alerts-dropdown" id="alertsDropdown" style="display: none;">
        <!-- Alerts will be dynamically inserted here -->
    </div>
</div>


<script>
// This function will add an alert to the dropdown.
function addAlert(data) {
    const alertDiv = document.createElement('div');
    alertDiv.classList.add('alert');

    const alertInfo = document.createElement('div');
    alertInfo.classList.add('alert-info');

    const profileImage = document.createElement('img');
    profileImage.src = `https://thumb.live.mmcdn.com/ri/${data.nickname}.jpg`; // Use actual model image URL
    profileImage.alt = 'Profile Picture';

    const modelInfo = document.createElement('div');
    modelInfo.innerHTML = `<strong>${data.nickname}</strong> is live in <em>${data.status}</em>`;

    alertInfo.appendChild(profileImage);
    alertInfo.appendChild(modelInfo);

    const dismissBtn = document.createElement('button');
    dismissBtn.classList.add('dismiss-btn');
    dismissBtn.innerHTML = '&times;';
    dismissBtn.onclick = function() { dismissAlert(this); };

    alertDiv.appendChild(alertInfo);
    alertDiv.appendChild(dismissBtn);

    document.getElementById('alertsDropdown').appendChild(alertDiv);

    updateBadge();
}

// This function will toggle the visibility of the alerts dropdown
function toggleAlerts() {
    document.getElementById('alertsDropdown').classList.toggle('show');
}

// This function will dismiss an alert when the button is clicked
function dismissAlert(button) {
    button.parentElement.remove();
    updateBadge();
}

// This function will update the alert badge number based on how many alerts are remaining
function updateBadge() {
    const alerts = document.querySelectorAll('.alerts-dropdown .alert');
    const badge = document.getElementById("alertBadge");
    if (alerts.length === 0) {
        badge.style.display = "none";  // Hide badge when no alerts
    } else {
        badge.innerText = alerts.length;
        badge.style.display = "inline-block"; // Show badge when alerts are present
    }
}

// Function to fetch updates from the PHP endpoint
function fetchUpdates() {
    fetch('/updates/popup')  // Ensure the URL is correct
        .then(response => response.json())
        .then(data => {
            console.log('Data received:', data);  // Debugging line to check data
            
            // If the response is not an array, wrap it in an array
            if (!Array.isArray(data)) {
                data = [data];  // Convert single object to array
            }
            
            // Now add alerts for each update
            data.forEach(update => {
                addAlert(update);  // Add each update as an alert
            });
        })
        .catch(error => console.error('Error fetching updates:', error));
}

// Call fetchUpdates when the page loads to get alerts
window.onload = function() {
    fetchUpdates();
};

</script>

